org.apache.hc.core5.http2.impl.nio.bootstrap

## Class H2MultiplexingRequesterBootstrap

- java.lang.Object
- - org.apache.hc.core5.http2.impl.nio.bootstrap.H2MultiplexingRequesterBootstrap

-     public class H2MultiplexingRequesterBootstrap
      extends Object

  `H2MultiplexingRequester` bootstrap.
  Since:
    5.0

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static H2MultiplexingRequesterBootstrap` | `bootstrap()`
    `H2MultiplexingRequester` | `create()`
    `H2MultiplexingRequesterBootstrap` | `register(String hostname, String uriPattern, Supplier<AsyncPushConsumer> supplier)` Registers the given `AsyncPushConsumer` `Supplier` as a handler for URIs matching the given host and the pattern.
    `H2MultiplexingRequesterBootstrap` | `register(String uriPattern, Supplier<AsyncPushConsumer> supplier)` Registers the given `AsyncPushConsumer` `Supplier` as a default handler for URIs matching the given pattern.
    `H2MultiplexingRequesterBootstrap` | `registerVirtual(String hostname, String uriPattern, Supplier<AsyncPushConsumer> supplier)` Deprecated. Use `register(String, String, Supplier)`.
    `H2MultiplexingRequesterBootstrap` | `setCharCodingConfig(CharCodingConfig charCodingConfig)` Sets message char coding.
    `H2MultiplexingRequesterBootstrap` | `setExceptionCallback(Callback<Exception> exceptionCallback)` Sets `Exception` `Callback` instance.
    `H2MultiplexingRequesterBootstrap` | `setH2Config(H2Config h2Config)` Sets HTTP/2 protocol parameters
    `H2MultiplexingRequesterBootstrap` | `setHttpProcessor(HttpProcessor httpProcessor)` Sets `HttpProcessor` instance.
    `H2MultiplexingRequesterBootstrap` | `setIOReactorConfig(IOReactorConfig ioReactorConfig)` Sets I/O reactor configuration.
    `H2MultiplexingRequesterBootstrap` | `setIOSessionDecorator(Decorator<IOSession> ioSessionDecorator)` Sets `IOSession` `Decorator` instance.
    `H2MultiplexingRequesterBootstrap` | `setIOSessionListener(IOSessionListener sessionListener)` Sets `IOSessionListener` instance.
    `H2MultiplexingRequesterBootstrap` | `setStreamListener(H2StreamListener streamListener)` Sets `H2StreamListener` instance.
    `H2MultiplexingRequesterBootstrap` | `setStrictALPNHandshake(boolean strictALPNHandshake)`
    `H2MultiplexingRequesterBootstrap` | `setTlsStrategy(TlsStrategy tlsStrategy)` Sets `TlsStrategy` instance.
    `H2MultiplexingRequesterBootstrap` | `setUriPatternType(UriPatternType uriPatternType)` Sets `UriPatternType` for handler registration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### bootstrap

          public static H2MultiplexingRequesterBootstrap bootstrap()

    - #### setIOReactorConfig

          public final H2MultiplexingRequesterBootstrap setIOReactorConfig(IOReactorConfig ioReactorConfig)

      Sets I/O reactor configuration.
      Returns:
        this instance.

    - #### setHttpProcessor

          public final H2MultiplexingRequesterBootstrap setHttpProcessor(HttpProcessor httpProcessor)

      Sets `HttpProcessor` instance.
      Returns:
        this instance.

    - #### setH2Config

          public final H2MultiplexingRequesterBootstrap setH2Config(H2Config h2Config)

      Sets HTTP/2 protocol parameters
      Returns:
        this instance.

    - #### setCharCodingConfig

          public final H2MultiplexingRequesterBootstrap setCharCodingConfig(CharCodingConfig charCodingConfig)

      Sets message char coding.
      Returns:
        this instance.

    - #### setTlsStrategy

          public final H2MultiplexingRequesterBootstrap setTlsStrategy(TlsStrategy tlsStrategy)

      Sets `TlsStrategy` instance.
      Returns:
        this instance.

    - #### setStrictALPNHandshake

          public final H2MultiplexingRequesterBootstrap setStrictALPNHandshake(boolean strictALPNHandshake)

    - #### setIOSessionDecorator

          public final H2MultiplexingRequesterBootstrap setIOSessionDecorator(Decorator<IOSession> ioSessionDecorator)

      Sets `IOSession` `Decorator` instance.
      Returns:
        this instance.

    - #### setExceptionCallback

          public final H2MultiplexingRequesterBootstrap setExceptionCallback(Callback<Exception> exceptionCallback)

      Sets `Exception` `Callback` instance.
      Returns:
        this instance.

    - #### setIOSessionListener

          public final H2MultiplexingRequesterBootstrap setIOSessionListener(IOSessionListener sessionListener)

      Sets `IOSessionListener` instance.
      Returns:
        this instance.

    - #### setStreamListener

          public final H2MultiplexingRequesterBootstrap setStreamListener(H2StreamListener streamListener)

      Sets `H2StreamListener` instance.
      Returns:
        this instance.

    - #### setUriPatternType

          public final H2MultiplexingRequesterBootstrap setUriPatternType(UriPatternType uriPatternType)

      Sets `UriPatternType` for handler registration.
      Returns:
        this instance.

    - #### register

          public final H2MultiplexingRequesterBootstrap register(String uriPattern,
                                                                 Supplier<AsyncPushConsumer> supplier)

      Registers the given `AsyncPushConsumer` `Supplier` as a default handler for URIs matching the given pattern.
      Parameters:
        `uriPattern` - the pattern to register the handler for.
        `supplier` - the handler supplier.
      Returns:
        this instance.

    - #### register

          public final H2MultiplexingRequesterBootstrap register(String hostname,
                                                                 String uriPattern,
                                                                 Supplier<AsyncPushConsumer> supplier)

      Registers the given `AsyncPushConsumer` `Supplier` as a handler for URIs matching the given host and the pattern.
      Parameters:
        `hostname` - the host name
        `uriPattern` - the pattern to register the handler for.
        `supplier` - the handler supplier.
      Returns:
        this instance.
      Since:
        5.3

    - #### registerVirtual

          @Deprecated
          public final H2MultiplexingRequesterBootstrap registerVirtual(String hostname,
                                                                                    String uriPattern,
                                                                                    Supplier<AsyncPushConsumer> supplier)

      Deprecated. Use `register(String, String, Supplier)`.
      Returns:
        this instance.

    - #### create

          public H2MultiplexingRequester create()

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.